Page MenuHomePhabricator

Sort out PayPal language vs country
Closed, ResolvedPublic

Description

We're currently making some worrisome assumptions in order to integrate with PayPal's locale scheme. They combine language and country in a way that assumes a de facto national language, but by falling back to this logic we risk showing the wrong payment methods in a given country.

Talk to PayPal to figure this out. We tried once before and the answer didn't make sense, follow up with new reps.

Related Objects

StatusSubtypeAssignedTask
ResolvedNone
Resolvedawight

Event Timeline

awight created this task.Sep 25 2015, 10:53 PM
awight raised the priority of this task from to Medium.
awight updated the task description. (Show Details)
awight added a subscriber: awight.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 25 2015, 10:53 PM

Let's include this in the rework of PayPal in Q3

awight closed this task as Resolved.Apr 4 2016, 9:51 PM
awight claimed this task.

The docs for Express Checkout address this issue. It's truly awful, but well defined at least.
https://developer.paypal.com/docs/classic/api/locale_codes/

mmodell removed a subscriber: awight.Jun 22 2017, 9:52 PM